com.impinj.stp

## Class StpApi.ReportConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.ReportConfig.Builder>
      - - com.impinj.stp.StpApi.ReportConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.ReportConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.ReportConfig

      public static final class StpApi.ReportConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.ReportConfig.Builder>
      implements StpApi.ReportConfigOrBuilder

  Protobuf type `Impinj.STP.ReportConfig` Define what to report to the client application.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.ReportConfig` | `build()`
    `StpApi.ReportConfig` | `buildPartial()`
    `StpApi.ReportConfig.Builder` | `clear()`
    `StpApi.ReportConfig.Builder` | `clearDeviceEventConfig()`
    `StpApi.ReportConfig.Builder` | `clearOperationSummaryReportConfig()`
    `StpApi.ReportConfig.Builder` | `clearTagOperationReportConfig()`
    `StpApi.ReportConfig.Builder` | `clone()`
    `StpApi.ReportConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.DeviceEventConfig` | `getDeviceEventConfig()`
    `StpApi.DeviceEventConfig.Builder` | `getDeviceEventConfigBuilder()`
    `StpApi.DeviceEventConfigOrBuilder` | `getDeviceEventConfigOrBuilder()`
    `StpApi.OperationSummaryReportConfig` | `getOperationSummaryReportConfig()`
    `StpApi.OperationSummaryReportConfig.Builder` | `getOperationSummaryReportConfigBuilder()`
    `StpApi.OperationSummaryReportConfigOrBuilder` | `getOperationSummaryReportConfigOrBuilder()`
    `StpApi.TagOperationReportConfig` | `getTagOperationReportConfig()`
    `StpApi.TagOperationReportConfig.Builder` | `getTagOperationReportConfigBuilder()`
    `StpApi.TagOperationReportConfigOrBuilder` | `getTagOperationReportConfigOrBuilder()`
    `boolean` | `hasDeviceEventConfig()`
    `boolean` | `hasOperationSummaryReportConfig()`
    `boolean` | `hasTagOperationReportConfig()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.ReportConfig.Builder` | `mergeDeviceEventConfig(StpApi.DeviceEventConfig value)`
    `StpApi.ReportConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.ReportConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.ReportConfig.Builder` | `mergeFrom(StpApi.ReportConfig other)`
    `StpApi.ReportConfig.Builder` | `mergeOperationSummaryReportConfig(StpApi.OperationSummaryReportConfig value)`
    `StpApi.ReportConfig.Builder` | `mergeTagOperationReportConfig(StpApi.TagOperationReportConfig value)`
    `StpApi.ReportConfig.Builder` | `setDeviceEventConfig(StpApi.DeviceEventConfig.Builder builderForValue)`
    `StpApi.ReportConfig.Builder` | `setDeviceEventConfig(StpApi.DeviceEventConfig value)`
    `StpApi.ReportConfig.Builder` | `setOperationSummaryReportConfig(StpApi.OperationSummaryReportConfig.Builder builderForValue)`
    `StpApi.ReportConfig.Builder` | `setOperationSummaryReportConfig(StpApi.OperationSummaryReportConfig value)`
    `StpApi.ReportConfig.Builder` | `setTagOperationReportConfig(StpApi.TagOperationReportConfig.Builder builderForValue)`
    `StpApi.ReportConfig.Builder` | `setTagOperationReportConfig(StpApi.TagOperationReportConfig value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.ReportConfig.Builder>`

    - #### clear

          public StpApi.ReportConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.ReportConfig.Builder>`

    - #### clone

          public StpApi.ReportConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.ReportConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.ReportConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.ReportConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.ReportConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.ReportConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.ReportConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.ReportConfig.Builder>`

    - #### mergeFrom

          public StpApi.ReportConfig.Builder mergeFrom(StpApi.ReportConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.ReportConfig.Builder>`

    - #### mergeFrom

          public StpApi.ReportConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.ReportConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasDeviceEventConfig

          public boolean hasDeviceEventConfig()

      Specified by:
        `hasDeviceEventConfig` in interface `StpApi.ReportConfigOrBuilder`

    - #### getDeviceEventConfig

          public StpApi.DeviceEventConfig getDeviceEventConfig()

      Specified by:
        `getDeviceEventConfig` in interface `StpApi.ReportConfigOrBuilder`

    - #### setDeviceEventConfig

          public StpApi.ReportConfig.Builder setDeviceEventConfig(StpApi.DeviceEventConfig value)

    - #### setDeviceEventConfig

          public StpApi.ReportConfig.Builder setDeviceEventConfig(StpApi.DeviceEventConfig.Builder builderForValue)

    - #### mergeDeviceEventConfig

          public StpApi.ReportConfig.Builder mergeDeviceEventConfig(StpApi.DeviceEventConfig value)

    - #### clearDeviceEventConfig

          public StpApi.ReportConfig.Builder clearDeviceEventConfig()

    - #### getDeviceEventConfigBuilder

          public StpApi.DeviceEventConfig.Builder getDeviceEventConfigBuilder()

    - #### getDeviceEventConfigOrBuilder

          public StpApi.DeviceEventConfigOrBuilder getDeviceEventConfigOrBuilder()

      Specified by:
        `getDeviceEventConfigOrBuilder` in interface `StpApi.ReportConfigOrBuilder`

    - #### hasOperationSummaryReportConfig

          public boolean hasOperationSummaryReportConfig()

      Specified by:
        `hasOperationSummaryReportConfig` in interface `StpApi.ReportConfigOrBuilder`

    - #### getOperationSummaryReportConfig

          public StpApi.OperationSummaryReportConfig getOperationSummaryReportConfig()

      Specified by:
        `getOperationSummaryReportConfig` in interface `StpApi.ReportConfigOrBuilder`

    - #### setOperationSummaryReportConfig

          public StpApi.ReportConfig.Builder setOperationSummaryReportConfig(StpApi.OperationSummaryReportConfig value)

    - #### setOperationSummaryReportConfig

          public StpApi.ReportConfig.Builder setOperationSummaryReportConfig(StpApi.OperationSummaryReportConfig.Builder builderForValue)

    - #### mergeOperationSummaryReportConfig

          public StpApi.ReportConfig.Builder mergeOperationSummaryReportConfig(StpApi.OperationSummaryReportConfig value)

    - #### clearOperationSummaryReportConfig

          public StpApi.ReportConfig.Builder clearOperationSummaryReportConfig()

    - #### getOperationSummaryReportConfigBuilder

          public StpApi.OperationSummaryReportConfig.Builder getOperationSummaryReportConfigBuilder()

    - #### getOperationSummaryReportConfigOrBuilder

          public StpApi.OperationSummaryReportConfigOrBuilder getOperationSummaryReportConfigOrBuilder()

      Specified by:
        `getOperationSummaryReportConfigOrBuilder` in interface `StpApi.ReportConfigOrBuilder`

    - #### hasTagOperationReportConfig

          public boolean hasTagOperationReportConfig()

      Specified by:
        `hasTagOperationReportConfig` in interface `StpApi.ReportConfigOrBuilder`

    - #### getTagOperationReportConfig

          public StpApi.TagOperationReportConfig getTagOperationReportConfig()

      Specified by:
        `getTagOperationReportConfig` in interface `StpApi.ReportConfigOrBuilder`

    - #### setTagOperationReportConfig

          public StpApi.ReportConfig.Builder setTagOperationReportConfig(StpApi.TagOperationReportConfig value)

    - #### setTagOperationReportConfig

          public StpApi.ReportConfig.Builder setTagOperationReportConfig(StpApi.TagOperationReportConfig.Builder builderForValue)

    - #### mergeTagOperationReportConfig

          public StpApi.ReportConfig.Builder mergeTagOperationReportConfig(StpApi.TagOperationReportConfig value)

    - #### clearTagOperationReportConfig

          public StpApi.ReportConfig.Builder clearTagOperationReportConfig()

    - #### getTagOperationReportConfigBuilder

          public StpApi.TagOperationReportConfig.Builder getTagOperationReportConfigBuilder()

    - #### getTagOperationReportConfigOrBuilder

          public StpApi.TagOperationReportConfigOrBuilder getTagOperationReportConfigOrBuilder()

      Specified by:
        `getTagOperationReportConfigOrBuilder` in interface `StpApi.ReportConfigOrBuilder`